"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const Vue = require("vue");
const index = require("../use-namespace/index.js");
require("../../../../@vueuse/shared/index.js");
const r = {
  prefix: Math.floor(Math.random() * 1e4),
  current: 0
}, I = Symbol("elIdInjection"), a = () => Vue.getCurrentInstance() ? Vue.inject(I, r) : r, b = (n) => {
  const e = a();
  const o = index.useGetDerivedNamespace();
  return Vue.computed(() => Vue.unref(n) || `${o.value}-id-${e.prefix}-${e.current++}`);
};
exports.ID_INJECTION_KEY = I;
exports.useId = b;
exports.useIdInjection = a;
